Bug 572010 - Suspend/resume and brightness control no longer work with 2.6.32.9-67.fc12.x86_64 on nVidia GeForce 9400M
Suspend/resume and brightness control no longer work with 2.6.32.9-67.fc12.x8...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-09 19:34 EST by James Laska
Modified: 2013-09-02 02:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:37:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (114.68 KB, text/plain)
2010-03-09 19:34 EST, James Laska
no flags Details
/var/log/messages (drm.debug=15) (320.78 KB, text/plain)
2010-03-09 19:49 EST, James Laska
no flags Details
/var/log/dmesg (drm.debug=15) (122.28 KB, text/plain)
2010-03-09 19:50 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2010-03-09 19:34:16 EST
Created attachment 398972 [details]
Xorg.0.log

Description of problem:

After installing kernel-2.6.32.9-67.fc12.x86_64, I noticed several regressions including:
 * Suspend/resume doesn't work as expected - I have to open and close the laptop lid 2 times for the system to properly resume
 * brightness control does not appear to work - the display is at 100% brightness at all times

Version-Release number of selected component (if applicable):

 * kernel-2.6.32.9-67.fc12.x86_64
 * xorg-x11-drv-nouveau-0.0.15-20.20091105gite1c2efd.fc12.x86_64
 * xorg-x11-server-Xorg-1.7.5.901-1.fc12.x86_64

How reproducible:
 
 * Easy to reproduce when using the latest F-12 kernel (kernel-2.6.32.9-67.fc12.x86_64)

Steps to Reproduce:
1. Install F-12 plus updates to laptop
2. Install both kernels
   * kernel-2.6.31.12-174.2.22.fc12.x86_64
   * kernel-2.6.32.9-67.fc12.x86_64
3. Test suspend using https://fedoraproject.org/wiki/QA:Testcase_nouveau_suspend
4. Test multihead using https://fedoraproject.org/wiki/QA:Testcase_nouveau_multihead
5. Test adjusting brighting using laptop brightness keys
  
Actual results:

                    | kernel-2.6.31.12-174.2.22.fc12
                    |                    | kernel-2.6.32.9-67.fc12
====================+====================+================================
brightness control  | PASS               | FAIL
suspend/resume      | PASS               | FAIL
multihead           | FAIL               | PASS

Expected results:

                    | kernel-2.6.31.12-174.2.22.fc12
                    |                    | kernel-2.6.32.9-67.fc12
====================+====================+================================
brightness control  | PASS               | PASS
suspend/resume      | PASS               | PASS
multihead           | FAIL               | PASS

Additional info:

 * Smolt Profile - http://www.smolts.org/client/show/pub_a45bca46-400c-4444-a607-e0e9283eaff4
Comment 1 James Laska 2010-03-09 19:47:30 EST
= Additional information =

 * To get suspend/resume to work using kernel-2.6.32 I must
    1. Close laptop lid, wait for suspend
    2. Open lid ... after 30 seconds, display does not activate
    3. Close lid
    4. Open lid ... display activates and I'm able to use the laptop

 * Brightness controls work fine when I first boot the system.  However, the appear to fail after I have resumed the laptop.  I'm not sure if this is specific to the kernel, power mgmt, or xorg-x11-drv-nouveau.  I'm happy to track this issue elsewhere if needed.
Comment 2 James Laska 2010-03-09 19:49:36 EST
Created attachment 398977 [details]
/var/log/messages (drm.debug=15)
Comment 3 James Laska 2010-03-09 19:50:06 EST
Created attachment 398978 [details]
/var/log/dmesg (drm.debug=15)
Comment 4 Jesse Brandeburg 2010-04-09 04:13:21 EDT
I can reproduce this brightness issue on my HP 8530W, screen dim after suspend, brightness controls don't work.  My system seems to wake from suspend just fine (at least once so far)

different video card than the reporter, I have a 
01:00.0 VGA compatible controller: nVidia Corporation Quadro FX 770M (rev a1)

# uname -a
Linux foo 2.6.32.10-90.fc12.x86_64 #1 SMP Tue Mar 23 09:47:08 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
Comment 5 Bug Zapper 2010-11-03 16:15:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 James Laska 2010-11-03 16:32:27 EDT
FYI ... I'm no longer seeing this issue on Fedora 14 (2.6.35.6-48.fc14.x86_64)
Comment 7 Bug Zapper 2010-12-03 12:37:35 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.